# HstoreType Class Reference
[Supported meta-types]

Inheritance diagram for HstoreType:
[legend]

List of all members.

## Public Member Functions

| getPrimitiveName ()
| isGeneric ()
| isMeasurable ()
| getDeclaration ()
| toColumnType ()

## Detailed Description

See also:
  http://www.postgresql.org/docs/8.3/interactive/hstore.html

Definition at line 16 of file HstoreType.class.php.

## Member Function Documentation

HstoreType::getDeclaration | ( |  | ) |

Reimplemented from ObjectType.

Definition at line 33 of file HstoreType.class.php.

References BasePropertyType::hasDefault().

Here is the call graph for this function:

HstoreType::getPrimitiveName | ( |  | ) |

Reimplemented from ObjectType.

Definition at line 18 of file HstoreType.class.php.

HstoreType::isGeneric | ( |  | ) |

Reimplemented from ObjectType.

Definition at line 23 of file HstoreType.class.php.

HstoreType::isMeasurable | ( |  | ) |

Reimplemented from ObjectType.

Definition at line 28 of file HstoreType.class.php.

HstoreType::toColumnType | ( |  | ) |

Reimplemented from ObjectType.

Definition at line 41 of file HstoreType.class.php.

The documentation for this class was generated from the following file:

- meta/types/HstoreType.class.php